Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Deprecation with Symfony 4.1 - AdvancedUserInterface #2803

Closed
back-2-95 opened this issue May 30, 2018 · 12 comments

Comments

Projects
None yet
10 participants
@back-2-95
Copy link

commented May 30, 2018

Updated Symfony components to 4.1 and got following deprecation:

The "FOS\UserBundle\Model\UserInterface" interface extends "Symfony\Component\Security\Core\User\AdvancedUserInterface" that is deprecated since Symfony 4.1 *.
@hasanozbey

This comment has been minimized.

Copy link

commented Jun 4, 2018

any updates for 4.1?

@ognarb

This comment has been minimized.

Copy link

commented Jun 10, 2018

I found the PR responsible for this deprecation, if someone want more info: symfony/symfony#23508

@sharkman79

This comment has been minimized.

Copy link

commented Jun 19, 2018

I cannot understood what is the solution final for this "issue".
It is possible to have a list of steps to execute?

@aluisco

This comment has been minimized.

Copy link

commented Jun 22, 2018

I read as many possible I can and don't find any solution for the deprecation ... any updates???

@KevinArtus

This comment has been minimized.

Copy link

commented Jul 6, 2018

Is there any solution to use this bundle with symfony 4.1 ?
It's really annoying.

@hasanozbey

This comment has been minimized.

Copy link

commented Jul 6, 2018

Now i am clearly seeing that FOSUserBundle is regret. Use security component and write your own instead.

@devtronic

This comment has been minimized.

Copy link

commented Jul 7, 2018

Do not you just have to copy this into FOS UserBundle?
https://github.com/symfony/symfony/blob/4.0/src/Symfony/Component/Security/Core/User/UserChecker.php

and put this Methods in the UserInterface class of FOS UserBundle?

public function isAccountNonExpired();
public function isAccountNonLocked();
public function isCredentialsNonExpired();
public function isEnabled();

https://github.com/FriendsOfSymfony/FOSUserBundle/blob/master/Model/UserInterface.php

@back-2-95

This comment has been minimized.

Copy link
Author

commented Jul 7, 2018

Changing status to Well begun is half done

@devtronic

This comment has been minimized.

Copy link

commented Jul 7, 2018

PR: #2815

XWB added a commit that referenced this issue Sep 19, 2018

Migrated SF AdvancedUserInterface to FOS UserInterface (#2815)
* Migrated SF AdvancedUserInterface to FOS UserInterface

AdvancedUserInterface is deprecated since Symfony 4.1
- symfony/symfony#23508

Issue:
- #2803 Deprecation with Symfony 4.1 - AdvancedUserInterface

* Code style fixed and using `getMockBuilder` instead of `createMock`

* Code style fixed and using attributes instead of `$this->expectException`

* Change to restart travis

* EquatableInterface added to `UserInterface` and implementation added to `User`

* Tests after merge of master fixed

* Tests after merge of master fixed

* Update README.md

* Added compatibility for apps that check against AdvancedUserInterface

* Code style fixed to pass all travis tests

* fos_user.user_checker Service marked as non-public

@XWB XWB closed this Oct 15, 2018

@sinner

This comment has been minimized.

Copy link

commented May 7, 2019

When is going to be implemented that change? I'm still having troubles with that issue. I'm working with the latest version 2.1.2 of FOSUserBundle.

@lucascardoso-egsys

This comment has been minimized.

Copy link

commented May 9, 2019

I'm too. Any solution?

@devtronic

This comment has been minimized.

Copy link

commented May 9, 2019

You can use the specific revision hash in the composer.json:
"friendsofsymfony/user-bundle": "dev-master#b93d732209ecd5eab35ed4e32e931760cb329122",

But at the moment there should be no problem using 2.1.2 (until SF 5.0 is released :D )

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.